Eclipse Platform Release 3.7

## org.eclipse.swt.widgets
Interface Listener

All Known Implementing Classes:
  AnnotationBarHoverManager.Closer, HyperlinkManager, TypedListener, WizardDataTransferPage, WizardExportPage, WizardExportResourcesPage, WizardImportPage, WizardNewFileCreationPage, WizardNewFolderMainPage, WizardResourceImportPage

    public interface Listener

Implementers of `Listener` provide a simple `handleEvent()` method that is used internally by SWT to dispatch events.

After creating an instance of a class that implements this interface it can be added to a widget using the `addListener(int eventType, Listener handler)` method and removed using the `removeListener (int eventType, Listener handler)` method. When the specified event occurs, `handleEvent(...)` will be sent to the instance.

Classes which implement this interface are described within SWT as providing the untyped listener API. Typically, widgets will also provide a higher-level typed listener API, that is based on the standard `java.util.EventListener` pattern.

Note that, since all internal SWT event dispatching is based on untyped listeners, it is simple to build subsets of SWT for use on memory constrained, small footprint devices, by removing the classes and methods which implement the typed listener API.

See Also:
  `Widget.addListener(int, org.eclipse.swt.widgets.Listener)`, `EventListener`, `org.eclipse.swt.events`

Method Summary
`void` `handleEvent(Event event)` Sent when an event that the receiver has registered for occurs.

Method Detail

### handleEvent

    void handleEvent(Event event)

  Sent when an event that the receiver has registered for occurs.

  Parameters:
    `event` - the event which occurred

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.